<?php
/*
 * Plugin Name: Ink Coming Soon Page
 * Description: Our awesome plugin allows you to quickly create a launch / under construction page for your website. Collect E-mails and connect with users on Social Networks. 
 * Version: 1.0
 * Author: Pankaj Agarwal
 * Author URI: http://inkthemes.com
 */
require_once 'option_panel.php';
require_once 'database_insert.php';

    add_action("init", "ink_add_style");
	

function ink_add_style() {
    wp_enqueue_style('ink_option_panel_style', plugins_url('css/panel_style.css', __FILE__));
}

function ink_embeded_script() {
    wp_enqueue_script('ink_option_panel_script', plugins_url('js/panel_script.js', __FILE__), array('jquery'));
    wp_enqueue_script('colorpicker_script', plugins_url('jscolor/jscolor.js', __FILE__), array('jquery'));
    wp_enqueue_script('jquery');

    wp_enqueue_script('thickbox');
    wp_enqueue_style('thickbox');

    wp_enqueue_script('media-upload');
    wp_enqueue_script('ink-upload');
}

add_action('init', 'ink_embeded_script');
global $wpdb;
$get_value = get_option('ink_underconstruction_setting_value');
$status = $get_value['plugin_status'];
if($status == 'enable'){
  
    add_action('template_redirect', 'ink_my_page_redirect_template');
function ink_my_page_redirect_template() {
    if (!is_user_logged_in()) {
        $file = plugin_dir_path(__FILE__) . 'front_page/underconstruction_page.php';
        include($file);
        exit();
    }
}
}
?>